Health check
curl --request GET \
--url https://api.dualmindlab.tech/healthimport requests
url = "https://api.dualmindlab.tech/health"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dualmindlab.tech/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET'};
fetch('https://api.dualmindlab.tech/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dualmindlab.tech/health"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.dualmindlab.tech/health");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.dualmindlab.tech/health")
.asString();{
"status": "healthy",
"message": "DualMind API is running",
"timestamp": "2026-10-17T12:00:00Z",
"version": "1.0.0",
"instanceId": "67c5fc5b5352c545..."
}Utilities
Health check
Public liveness check. /api/health returns the same response.
GET
/
health
Health check
curl --request GET \
--url https://api.dualmindlab.tech/healthimport requests
url = "https://api.dualmindlab.tech/health"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dualmindlab.tech/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET'};
fetch('https://api.dualmindlab.tech/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dualmindlab.tech/health"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.dualmindlab.tech/health");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.dualmindlab.tech/health")
.asString();{
"status": "healthy",
"message": "DualMind API is running",
"timestamp": "2026-10-17T12:00:00Z",
"version": "1.0.0",
"instanceId": "67c5fc5b5352c545..."
}GET /api/health returns the same response. Both are public and suitable for uptime monitors.Last modified on October 18, 2026
⌘I